package _VisualDVM.Passes.All;
import Common.Passes.Pass;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.ProjectData.Files.DBProjectFile;

import java.util.Vector;
public class IncludeSelectedFiles extends Pass<Vector<DBProjectFile>> {
    @Override
    public String getIconPath() {
        return "/icons/Include.png";
    }
    @Override
    protected boolean canStart(Object... args) {
        if (!Global.files_multiselection) {
            Log.Writeln_("Нажмите правую клавишу мыши, и перейдите в режим выбора файлов.");
            return false;
        }
        target = Global.mainModule.getProject().db.files.getSelectedItems();
        if (target.isEmpty()) {
            Log.Writeln_("Не отмечено ни одного файла.");
            return false;
        }
        return true;
    }
    @Override
    protected void body() throws Exception {
        for (DBProjectFile file : target)
            Global.mainModule.getPass(PassCode.IncludeFile).Do(file);
    }
}
